For the complete documentation index, see llms.txt. This page is also available as Markdown.

/faces

Adds a new specimen (face) to the database. First, the referenced image is looked up in the database and its biometric template is extracted.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Body for the face POST request

mediaIdstringRequired

An image identifier in the database.

Example: 9c79c818-b81a-4959-b65a-a2b0c8143528
tenantIdstringRequired

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
descriptionstringRequired

Description of the specimen (face) stored in the database.

Example: It's a description of the person
Responses
200

All data fields of the specimen (face) stored in the database.

application/json

Data fields of the specimen in the database

createAtstringOptional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was created.

Example: 2024-11-20T15:39:32Z
descriptionstringOptional

Description of the specimen (face) stored in the database.

Example: It's a description of the person
facialTemplateRawstringOptional

An extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.

Example: QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...
idstringOptional

An identifier of a specimen (face) in the database.

Example: 6782225b-1793-4b68-a9de-8fdb3628c7e5
mediaIdstringOptional

An image identifier in the database.

Example: 9c79c818-b81a-4959-b65a-a2b0c8143528
tenantIdstringOptional

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
updateAtstringOptional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was updated.

Example: 2025-03-18T12:54:02Z
post/faces
POST /faces HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
  "tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
  "description": "It's a description of the person"
}
{
  "createAt": "2024-11-20T15:39:32Z",
  "description": "It's a description of the person",
  "facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
  "id": "6782225b-1793-4b68-a9de-8fdb3628c7e5",
  "mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
  "tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
  "updateAt": "2025-03-18T12:54:02Z"
}

Last updated